services:
  dashboard:
    build: .
    ports:
      - "8091:8091"
    volumes:
      - ./config:/config        # .env, credentials.enc, .encryption_key
      - ./lives:/data/lives     # videos processados
    env_file:
      - ./config/.env
    restart: unless-stopped

  scheduler:
    build: .
    command: python3 /app/scheduler.py
    volumes:
      - ./config:/config
      - ./lives:/data/lives
    env_file:
      - ./config/.env
    restart: unless-stopped
    depends_on:
      - dashboard
